.page-header-fixed{
            position: fixed;
        
    }
	
.page-sidebar-closed.page-sidebar-closed-hide-logo & {
            padding: 0;
        }

.page-content-white &,
    .page-container-bg-solid & {
        color: #666;
        margin-bottom: 20px;
        margin-top: 20px;

        small {
            color: #666;
        }
    }

.page-content-white & {
        margin: 0px 0 20px 0;
        font-size: 20px;
    }
	
.page-md & {
                padding-top: 9px;
                padding-bottom: 9px;
                box-shadow: none !important;
            }
			
.page-content-wrapper {
		.page-content {
			margin: 0px !important;
			padding: 0px !important;  		
			min-height: 280px; 
		}
	}

.page-wrapper {
			left: 0;
			transition: $general-transition;

			.page-header {
				transition: $general-transition;
			}
		}

.navbar-fixed-top {
            position: fixed;
}

.menu-toggler {
        cursor: pointer;
        @include burger-icon(#3e3e3e, #3e3e3e, $menu-toggler-size, 1px, -6px, 6px, -6px);
        @include opacity(0.7);
        display: block;
        @include transition('opacity 0.3s');

        &:hover {
            @include transition('opacity 0.3s');
            @include opacity(1);
        }

        &.sidebar-toggler {
            float: right;
            margin: $header-sidebar-toggler-margin;

            .page-sidebar-closed.page-sidebar-closed-hide-logo & {
                margin-right: ($sidebar-collapsed-width - $menu-toggler-size ) / 2;
            }
        }

        &.responsive-toggler {
            display: none;
            float: right;
            margin: $header-responsive-toggler-margin;
        }
    }

 .page-logo {
        float: left;
        display: flex;
        width: $header-wrapper-width;
        height: $header-logo-height;
        padding-left: 20px;
        padding-right: 20px;
        color: $brand-secondary-font-color;
        margin: $header-logo-margin;
        line-height: $header-line-height;

        .page-sidebar-closed.page-sidebar-closed-hide-logo & {
            padding: 0;
        }

        .page-logo-text-container {
            display: flex;
            flex-direction: column;
            font-size: 20px;
            align-self: center;

            .e-visa-container {
                font-weight: 600;

                .page-logo-accent-color {
                    color: $brand-accent-font-color;
                }

                .page-logo-bold-color {
                    margin: 0px 0px 0px -2px;
                    color: $brand-bold-font-color;
                }
            }
        }

        > .logo-image,
        > a {
            display: inline-block;
            float: left;
        }

        .logo-default {
            @extend .logo;
            width: $header-logo-width;
            height: $header-logo-height;
            display: inline-block;
            float: left;
            margin: $header-logo-margin;
            height: $header-logo-height;
        }

        .flag-default {
            width: $header-logo-width;
            height: $header-logo-height;
            display: inline-block;
            float: right;
            margin: $header-logo-margin;
            height: $header-logo-height;
            box-sizing: border-box;
        }

        .logo-mini {
            display: none;
            margin-left: 5px;
        }

        .text-logo {
            padding-left: 20px;
            padding-top: 12px;
        }
    }
	
 .top-menu {
        margin: 0;
        padding: 0;
        float: right;
        font-size: 18px;
        padding-top: 15px;

        .navbar-nav {
            padding: 0;
            margin-right: 20px;
            display: block;

            .nav-link {
                color: $brand-secondary-font-color;
            }

            > li.dropdown {
                margin: 0px;
                padding: 0px 4px;
                height: $header-height;
                display: inline-block;

                &:last-child {
                    padding-right: 0px;
                }

                > .dropdown-toggle {
                    margin: 0px;
                    padding: $header-top-menu-general-item-padding;

                    &:last-child {
                        padding-right: 0;
                    }

                    > i {
                        font-size: $header-top-menu-icon-font-size;

                        &.glyphicon {
                            font-size: $header-top-menu-icon-font-size - 1;
                        }
                    }

                    > .badge {
                        font-family: $font-family-primary;
                        position: absolute;
                        top: $header-top-menu-general-item-badge-top;
                        right: 20px;
                        font-weight: 300;
                        padding: 3px 6px;
                    }

                    &:focus {
                        background: none;
                    }
                }

                .dropdown-menu {
                    margin-top: 1px;

                    @include border-radius(4px);

                    &:before {
                        position: absolute;
                        top: -7px;
                        right: 9px;
                        display: inline-block !important;
                        border-right: 7px solid transparent;
                        border-bottom: 7px solid #eee;
                        border-left: 7px solid transparent;
                        border-bottom-color: rgba(0, 0, 0, 0.2);
                        content: '';
                    }

                    &:after {
                        position: absolute;
                        top: -6px;
                        right: 10px;
                        display: inline-block !important;
                        border-right: 6px solid transparent;
                        border-bottom: 6px solid #fff;
                        border-left: 6px solid transparent;
                        content: '';
                    }

                    > li {
                        > a {
                            color: #555;
                        }
                    }
                }
            }
            /* Extended Dropdowns */
            > li.dropdown-extended {

                .dropdown-menu {
                    min-width: 160px;
                    max-width: 275px;
                    width: 275px;
                    z-index: $zindex-header-fixed;

                    > li.external {
                        display: block;
                        overflow: hidden;
                        padding: 15px 15px;
                        letter-spacing: 0.5px;

                        @include border-radius(4px 4px 0 0);

                        > h3 {
                            margin: 0;
                            padding: 0;
                            float: left;
                            font-size: 13px;
                            display: inline-block;
                        }

                        > a {
                            display: inline-block;
                            padding: 0;
                            background: none;
                            clear: inherit;
                            font-size: 13px;
                            font-weight: 300;
                            position: absolute;
                            right: 10px;
                            border: 0;
                            margin-top: -1px;

                            &:hover {
                                text-decoration: none;
                            }
                        }
                    }
                    /* header notifications dropdowns */
                    .dropdown-menu-list {
                        padding-right: 0 !important;
                        padding-left: 0;
                        list-style: none;

                        > li {
                            > a {
                                display: block;
                                clear: both;
                                font-weight: 300;
                                line-height: 20px;
                                white-space: normal;
                                font-size: 13px;
                                padding: 16px 15px 18px;
                                text-shadow: none;

                                &:hover {
                                    @include opacity(1);
                                    text-decoration: none;
                                }
                            }

                            &:first-child a {
                                border-top: none;
                            }
                        }
                    }
                }
            }
            /* Notification */
            > li.dropdown-notification {
                .dropdown-menu {
                    .dropdown-menu-list {
                        > li {
                            a {
                                .details {
                                    overflow: hidden;

                                    .label-icon {
                                        margin-right: 10px;
                                        @include border-radius(50%);

                                        i {
                                            margin-right: 2px;
                                            margin-left: 1px;
                                        }

                                        .badge {
                                            right: 15px;
                                        }
                                    }
                                }

                                .time {
                                    float: right;
                                    max-width: 75px;
                                    font-size: 11px;
                                    font-weight: 400;
                                    @include opacity(0.7);
                                    text-align: right;
                                    padding: 1px 5px;
                                }
                            }
                        }
                    }
                }
            }
            /* Inbox */
            > li.dropdown-inbox {

                > .dropdown-menu {
                    .dropdown-menu-list {
                        > li {
                            .photo {
                                float: left;
                                margin: 0 6px 6px 0;

                                img {
                                    height: 40px;
                                    width: 40px;
                                    @include border-radius(50%);
                                }
                            }

                            .subject {
                                display: block;
                                margin-left: 46px;

                                .from {
                                    font-size: 13px;
                                    font-weight: 600;
                                }

                                .time {
                                    font-size: 12px;
                                    font-weight: 400;
                                    @include opacity(0.5);
                                    float: right;
                                }
                            }

                            .message {
                                display: block !important;
                                font-size: 12px;
                                line-height: 1.3;
                                margin-left: 46px;
                            }
                        }
                    }
                }
            }
            /* Tasks */
            > li.dropdown-tasks {
                .dropdown-menu {
                    .dropdown-menu-list {
                        > li {
                            .task {
                                margin-bottom: 5px;

                                .desc {
                                    font-size: 13px;
                                    font-weight: 300;
                                }

                                .percent {
                                    float: right;
                                    font-weight: 600;
                                    display: inline-block;
                                }
                            }

                            .progress {
                                display: block;
                                height: 8px;
                                margin: 8px 0 2px;

                                .progress-bar {
                                    box-shadow: none;
                                }
                            }
                        }
                    }
                }
            }
            /* User */
            > li.dropdown-user {
                .dropdown-toggle {
                    padding: $header-top-menu-user-item-padding;

                    > .username {
                        display: inline-block;
                        font-size: $header-top-menu-user-font-size;
                        font-weight: $header-top-menu-user-font-weight;
                    }

                    > img {
                        float: left;
                        margin-top: -5px;
                        margin-right: 5px;
                        height: 29px;
                        display: inline-block;
                    }

                    > i {
                        display: inline-block;
                        margin-top: 5px;
                        margin: 0;
                        font-size: $header-top-menu-user-font-size;
                    }
                }

                .dropdown-menu {
                    width: 175px;

                    > li {
                        > a {
                            font-size: $header-top-menu-user-dropdown-link-font-size;
                            font-weight: $header-top-menu-user-dropdown-link-font-weight;

                            i {
                                width: 15px;
                                display: inline-block;
                                margin-right: 9px;
                            }

                            .badge {
                                margin-right: 10px;
                            }
                        }
                    }
                }
            }
            /* Language */
            > li.dropdown-language {
                padding-left: 0;
                padding-right: 0;
                margin: 0;

                > .dropdown-toggle {
                    padding: $header-top-menu-language-item-padding;

                    > img {
                        margin-bottom: 2px;
                    }

                    > i {
                        font-size: 14px;
                    }
                }

                > .dropdown-menu {
                    > li {
                        > a {
                            font-size: 13px;

                            > img {
                                margin-bottom: 2px;
                                margin-right: 5px;
                            }
                        }
                    }
                }
            }
            /* Dark version */
            li.dropdown-dark {
                .dropdown-menu {
                    &:before {
                        border-left: none;
                        border-right: none;
                    }

                    .dropdown-menu-list {
                        > li.external {

                            a {
                                background: none !important;
                                border: none !important;
                            }
                        }
                    }
                }
            }
        }
    }

 .navbar-collapse {
        padding: 0;
        box-shadow: none;
    }

.page-sidebar,
.page-sidebar-closed.page-sidebar-fixed .page-sidebar:hover {

    &.navbar-collapse {
        padding: 0;
        box-shadow: none;
    }
    /* Default sidebar menu */
    .page-sidebar-menu {
        list-style: none;
        margin: 0;
        padding: 0;
        /* 1st level links */
        > li {
            display: block;
            margin: 0;
            padding: 0;
            border-bottom: 1px solid #5c5c5c;

            &.sidebar-toggler-wrapper,
            &.sidebar-search-wrapper {
                border: 0 !important;
                @include clearfix();
            }

            &.start {
                > a {
                    border-top-color: transparent !important;
                }
            }

            &.last {
                > a {
                    border-bottom-color: transparent !important;
                }
            }

            > a {
                display: block;
                position: relative;
                margin: 0;
                border: 0px;
                padding: 17px 15px;
                text-decoration: none;
                font-size: $sidebar-menu-link-font-size;
                font-weight: 300;

                > i {
                    font-size: $sidebar-menu-link-icon-font-size;
                    margin-right: 5px;
                    text-shadow: none;
                }

                > i.glyphicon {
                    margin-left: 1px;
                    margin-right: 4px;
                }

                > [class^="icon-"] {
                    margin-left: 1px;
                    margin-right: 10px;
                }

                .page-sidebar-fixed & {
                    transition: all 0.2s ease;
                }

                .page-sidebar-reversed.page-sidebar-fixed & {
                    transition: none;
                }
            }

            &.heading {
                padding: 15px 15px 15px 15px;

                > h3 {
                    margin: 0;
                    padding: 0;
                    font-size: $sidebar-menu-head-font-size;
                    font-weight: 300;
                }
            }

            &.heading + li > a {
                border-top: 0;
            }

            &.open {
                > a {
                    font-size: $sidebar-menu-link-font-size;
                }
            }

            &.active {
                > a {
                    border: none;
                    text-shadow: none;
                    font-size: $sidebar-menu-link-font-size;

                    > .selected {
                        display: block;
                        background-image: none;
                        float: right;
                        position: absolute;
                        right: 0px;
                        top: 16px;
                        background: none;
                        width: 0;
                        height: 0;

                        .page-sidebar-reversed & {
                            right: auto;
                            left: 0;
                            border-right: 0;
                            border-left: 8px solid #ffffff;
                        }

                        .page-container-bg-solid & {
                            border-color: transparent $page-content-solid-bg-color transparent transparent;
                        }

                        .page-container-bg-solid.page-sidebar-reversed & {
                            border-color: transparent transparent transparent $page-content-solid-bg-color;
                        }
                    }
                }
            }
        }
        /* all links */
        li {
            > a {
                position: relative;

                > .arrow {

                    &:before {
                        float: right;
                        width: 20px;
                        text-align: center;
                        display: inline;
                        font-size: $sidebar-menu-link-icon-font-size;
                        font-family: FontAwesome;
                        height: auto;
                        content: "\f104";
                        font-weight: 300;
                        text-shadow: none;
                        position: absolute;
                        top: 4px;
                        right: 14px;
                    }

                    &.open:before {
                        content: "\f107";
                    }
                }

                > .badge {
                    float: right;
                    margin-top: 1px;
                    margin-right: 0px;
                    position: absolute;
                    right: 14px;
                    top: 6px;
                }
            }
        }

        > li {
            > a {
                > .arrow {
                    &:before {
                        top: 8px;
                    }
                }
            }
        }

        .sub-menu {
            list-style: none;
            display: none;
            padding: 0;
            margin: 8px 0px 8px 0px;

            li {
                background: none;
                margin: 0px;
                padding: 0px;
                margin-top: 1px !important;

                > a {
                    display: block;
                    margin: 0;
                    padding: 6px 15px 6px 43px;
                    text-decoration: none;
                    font-size: $sidebar-menu-link-font-size;
                    font-weight: 300;
                    background: none;

                    > i {
                        font-size: $sidebar-menu-sub-menu-link-icon-font-size;
                    }
                }
                /* 2nd level sub menu */
                > .sub-menu {
                    margin: 0;

                    > li {
                        > a {
                            padding-left: 60px;
                        }
                        /* 3rd level sub menu */
                        > .sub-menu {
                            margin: 0;

                            > li {
                                > a {
                                    padding-left: 80px;
                                }
                            }
                        }
                    }
                }
            }

            &.always-open {
                display: block;
            }
        }

        li.active {
            > .sub-menu {
                display: block;
            }
        }
    }
    /* light sidebar menu */
    .page-sidebar-menu.page-sidebar-menu-light {
        > li {
            > a {
                border: 0;
                margin: 0;
                padding-left: 11px;
                border-left: 4px solid transparent;
            }

            .sub-menu {
                margin: 0;
                padding: 1px 0;

                li {
                    > a {
                        padding-top: 8px;
                        padding-bottom: 8px;
                    }

                    &:first-child {
                        margin-top: 0 !important;
                    }
                }
            }
        }

        .page-sidebar-reversed & {
            > li {
                > a {
                    padding-left: 15px;
                    padding-right: 11px;
                    border-left: 0;
                    border-right: 4px solid transparent;
                }
            }
        }
    }

    .sidebar-toggler {
        @include transition('opacity 0.3s');
        display: block;
        cursor: pointer;
        @include burger-icon(#333333, #333333, $menu-toggler-size - 4px, 1px, -4px, 5px, -4px);
        @include opacity(0.7);
        padding: 6px 8px;
        margin-top: 16px;
        margin-right: 16px;
        float: right;

        @include border-radius($general-border-radius);

        &:hover {
            @include transition('opacity 0.3s');
            @include opacity(1);
        }
    }

    .sidebar-search {
        padding: 0;
        margin: 22px 18px 22px 18px;

        .remove {
            display: none;

            > i {
                font-size: 16px;
            }
        }

        .input-group {

            @include border-radius($general-border-radius);

            .form-control {
                border: 0;
                font-size: 14px;
                padding: 0;
                height: auto;
                line-height: auto;
                @include border-radius($general-border-radius);
            }

            .input-group-btn {

                .btn {
                    padding: 2px 0 0 0;
                    background-color: transparent;
                    background-repeat: no-repeat;
                    background-position: 100% 3px;

                    > i {
                        font-size: 15px;
                    }
                }
            }
        }
    }

    .sidebar-search.sidebar-search-bordered {
        margin: 12px 18px 25px 18px;

        .input-group {

            .form-control {
                font-size: 13px;
                padding: 6px 8px;
            }

            .input-group-btn {

                .btn {
                    margin-right: 6px;
                }
            }
        }
    }
}

